Skip to content
Snippets Groups Projects
configure 245 KiB
Newer Older
  • Learn to ignore specific revisions
  • teuben's avatar
    teuben committed
    #! /bin/sh
    # Guess values for system-dependent variables and create Makefiles.
    
    # Generated by Autoconf 2.52.
    
    teuben's avatar
    teuben committed
    #
    
    # Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
    # Free Software Foundation, Inc.
    
    teuben's avatar
    teuben committed
    # This configure script is free software; the Free Software Foundation
    # gives unlimited permission to copy, distribute and modify it.
    
    slevy's avatar
    slevy committed
    
    
    # Avoid depending upon Character Ranges.
    as_cr_letters='abcdefghijklmnopqrstuvwxyz'
    as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
    as_cr_Letters=$as_cr_letters$as_cr_LETTERS
    as_cr_digits='0123456789'
    as_cr_alnum=$as_cr_Letters$as_cr_digits
    
    # Sed expression to map a string onto a valid variable name.
    as_tr_sh="sed y%*+%pp%;s%[^_$as_cr_alnum]%_%g"
    
    # Sed expression to map a string onto a valid CPP name.
    as_tr_cpp="sed y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g"
    
    # Be Bourne compatible
    if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
      emulate sh
      NULLCMD=:
    elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
      set -o posix
    fi
    
    # Name of the executable.
    as_me=`echo "$0" |sed 's,.*[\\/],,'`
    
    if expr a : '\(a\)' >/dev/null 2>&1; then
      as_expr=expr
    else
      as_expr=false
    fi
    
    rm -f conf$$ conf$$.exe conf$$.file
    echo >conf$$.file
    if ln -s conf$$.file conf$$ 2>/dev/null; then
      # We could just check for DJGPP; but this test a) works b) is more generic
      # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
      if test -f conf$$.exe; then
        # Don't use ln at all; we don't have any links
        as_ln_s='cp -p'
      else
        as_ln_s='ln -s'
      fi
    elif ln conf$$.file conf$$ 2>/dev/null; then
      as_ln_s=ln
    else
      as_ln_s='cp -p'
    fi
    rm -f conf$$ conf$$.exe conf$$.file
    
    as_executable_p="test -f"
    
    # Support unset when possible.
    if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
      as_unset=unset
    else
      as_unset=false
    fi
    
    # NLS nuisances.
    $as_unset LANG || test "${LANG+set}" != set || { LANG=C; export LANG; }
    $as_unset LC_ALL || test "${LC_ALL+set}" != set || { LC_ALL=C; export LC_ALL; }
    $as_unset LC_TIME || test "${LC_TIME+set}" != set || { LC_TIME=C; export LC_TIME; }
    $as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set || { LC_CTYPE=C; export LC_CTYPE; }
    $as_unset LANGUAGE || test "${LANGUAGE+set}" != set || { LANGUAGE=C; export LANGUAGE; }
    $as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set || { LC_COLLATE=C; export LC_COLLATE; }
    $as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set || { LC_NUMERIC=C; export LC_NUMERIC; }
    $as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set || { LC_MESSAGES=C; export LC_MESSAGES; }
    
    # IFS
    # We need space, tab and new line, in precisely that order.
    as_nl='
    '
    IFS=" 	$as_nl"
    
    # CDPATH.
    $as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=:; export CDPATH; }
    
    # Name of the host.
    # hostname on some systems (SVR3.2, Linux) returns a bogus exit status,
    # so uname gets run too.
    ac_hostname=`(hostname || uname -n) 2>/dev/null | sed 1q`
    
    exec 6>&1
    
    #
    # Initializations.
    #
    
    teuben's avatar
    teuben committed
    ac_default_prefix=/usr/local
    
    cross_compiling=no
    subdirs=
    MFLAGS= MAKEFLAGS=
    SHELL=${CONFIG_SHELL-/bin/sh}
    
    # Maximum number of lines to put in a shell here document.
    # This variable seems obsolete.  It should probably be removed, and
    # only ac_max_sed_lines should be used.
    : ${ac_max_here_lines=38}
    
    ac_unique_file="partibrains.c"
    # Factoring default headers for most tests.
    ac_includes_default="\
    #include <stdio.h>
    #if HAVE_SYS_TYPES_H
    # include <sys/types.h>
    #endif
    #if HAVE_SYS_STAT_H
    # include <sys/stat.h>
    #endif
    #if STDC_HEADERS
    # include <stdlib.h>
    # include <stddef.h>
    #else
    # if HAVE_STDLIB_H
    #  include <stdlib.h>
    # endif
    #endif
    #if HAVE_STRING_H
    # if !STDC_HEADERS && HAVE_MEMORY_H
    #  include <memory.h>
    # endif
    # include <string.h>
    #endif
    #if HAVE_STRINGS_H
    # include <strings.h>
    #endif
    #if HAVE_INTTYPES_H
    # include <inttypes.h>
    #else
    # if HAVE_STDINT_H
    #  include <stdint.h>
    # endif
    #endif
    #if HAVE_UNISTD_H
    # include <unistd.h>
    #endif"
    
    teuben's avatar
    teuben committed
    # Initialize some variables set by options.
    
    ac_init_help=
    ac_init_version=false
    
    teuben's avatar
    teuben committed
    # The variables have the same names as the options, with
    # dashes changed to underlines.
    
    teuben's avatar
    teuben committed
    exec_prefix=NONE
    no_create=
    no_recursion=
    prefix=NONE
    program_prefix=NONE
    program_suffix=NONE
    program_transform_name=s,x,x,
    silent=
    site=
    srcdir=
    verbose=
    x_includes=NONE
    x_libraries=NONE
    
    
    # Installation directory options.
    # These are left unexpanded so users can "make install exec_prefix=/foo"
    # and all the variables that are supposed to be based on exec_prefix
    # by default will actually change.
    # Use braces instead of parens because sh, perl, etc. also accept them.
    
    teuben's avatar
    teuben committed
    bindir='${exec_prefix}/bin'
    sbindir='${exec_prefix}/sbin'
    libexecdir='${exec_prefix}/libexec'
    datadir='${prefix}/share'
    sysconfdir='${prefix}/etc'
    sharedstatedir='${prefix}/com'
    localstatedir='${prefix}/var'
    libdir='${exec_prefix}/lib'
    includedir='${prefix}/include'
    oldincludedir='/usr/include'
    infodir='${prefix}/info'
    mandir='${prefix}/man'
    
    
    # Identity of this package.
    PACKAGE_NAME=
    PACKAGE_TARNAME=
    PACKAGE_VERSION=
    PACKAGE_STRING=
    PACKAGE_BUGREPORT=
    
    teuben's avatar
    teuben committed
    ac_prev=
    for ac_option
    do
      # If the previous option needs an argument, assign it.
      if test -n "$ac_prev"; then
        eval "$ac_prev=\$ac_option"
        ac_prev=
        continue
      fi
    
    
      ac_optarg=`expr "x$ac_option" : 'x[^=]*=\(.*\)'`
    
    teuben's avatar
    teuben committed
    
      # Accept the important Cygnus configure options, so we can diagnose typos.
    
    
    teuben's avatar
    teuben committed
    
      -bindir | --bindir | --bindi | --bind | --bin | --bi)
        ac_prev=bindir ;;
      -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
    
    teuben's avatar
    teuben committed
    
      -build | --build | --buil | --bui | --bu)
    
    teuben's avatar
    teuben committed
      -build=* | --build=* | --buil=* | --bui=* | --bu=*)
    
    teuben's avatar
    teuben committed
    
      -cache-file | --cache-file | --cache-fil | --cache-fi \
      | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
        ac_prev=cache_file ;;
      -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
      | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
    
        cache_file=$ac_optarg ;;
    
      --config-cache | -C)
        cache_file=config.cache ;;
    
    teuben's avatar
    teuben committed
    
      -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
        ac_prev=datadir ;;
      -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
      | --da=*)
    
    teuben's avatar
    teuben committed
    
      -disable-* | --disable-*)
    
        ac_feature=`expr "x$ac_option" : 'x-*disable-\(.*\)'`
    
    teuben's avatar
    teuben committed
        # Reject names that are not valid shell variable names.
    
        expr "x$ac_feature" : ".*[^-_$as_cr_alnum]" >/dev/null &&
          { echo "$as_me: error: invalid feature name: $ac_feature" >&2
       { (exit 1); exit 1; }; }
        ac_feature=`echo $ac_feature | sed 's/-/_/g'`
        eval "enable_$ac_feature=no" ;;
    
    teuben's avatar
    teuben committed
    
      -enable-* | --enable-*)
    
        ac_feature=`expr "x$ac_option" : 'x-*enable-\([^=]*\)'`
    
    teuben's avatar
    teuben committed
        # Reject names that are not valid shell variable names.
    
        expr "x$ac_feature" : ".*[^-_$as_cr_alnum]" >/dev/null &&
          { echo "$as_me: error: invalid feature name: $ac_feature" >&2
       { (exit 1); exit 1; }; }
        ac_feature=`echo $ac_feature | sed 's/-/_/g'`
        case $ac_option in
          *=*) ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`;;
    
    teuben's avatar
    teuben committed
          *) ac_optarg=yes ;;
        esac
    
        eval "enable_$ac_feature='$ac_optarg'" ;;
    
    teuben's avatar
    teuben committed
    
      -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
      | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
      | --exec | --exe | --ex)
        ac_prev=exec_prefix ;;
      -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
      | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
      | --exec=* | --exe=* | --ex=*)
    
    teuben's avatar
    teuben committed
    
      -gas | --gas | --ga | --g)
        # Obsolete; use --with-gas.
        with_gas=yes ;;
    
    
      -help | --help | --hel | --he | -h)
        ac_init_help=long ;;
      -help=r* | --help=r* | --hel=r* | --he=r* | -hr*)
        ac_init_help=recursive ;;
      -help=s* | --help=s* | --hel=s* | --he=s* | -hs*)
        ac_init_help=short ;;
    
    teuben's avatar
    teuben committed
    
      -host | --host | --hos | --ho)
    
    teuben's avatar
    teuben committed
      -host=* | --host=* | --hos=* | --ho=*)
    
    teuben's avatar
    teuben committed
    
      -includedir | --includedir | --includedi | --included | --include \
      | --includ | --inclu | --incl | --inc)
        ac_prev=includedir ;;
      -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
      | --includ=* | --inclu=* | --incl=* | --inc=*)
    
    teuben's avatar
    teuben committed
    
      -infodir | --infodir | --infodi | --infod | --info | --inf)
        ac_prev=infodir ;;
      -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
    
    teuben's avatar
    teuben committed
    
      -libdir | --libdir | --libdi | --libd)
        ac_prev=libdir ;;
      -libdir=* | --libdir=* | --libdi=* | --libd=*)
    
    teuben's avatar
    teuben committed
    
      -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
      | --libexe | --libex | --libe)
        ac_prev=libexecdir ;;
      -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
      | --libexe=* | --libex=* | --libe=*)
    
    teuben's avatar
    teuben committed
    
      -localstatedir | --localstatedir | --localstatedi | --localstated \
      | --localstate | --localstat | --localsta | --localst \
      | --locals | --local | --loca | --loc | --lo)
        ac_prev=localstatedir ;;
      -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
      | --localstate=* | --localstat=* | --localsta=* | --localst=* \
      | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
    
    teuben's avatar
    teuben committed
    
      -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
        ac_prev=mandir ;;
      -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
    
    teuben's avatar
    teuben committed
    
      -nfp | --nfp | --nf)
        # Obsolete; use --without-fp.
        with_fp=no ;;
    
      -no-create | --no-create | --no-creat | --no-crea | --no-cre \
    
      | --no-cr | --no-c)
    
    teuben's avatar
    teuben committed
        no_create=yes ;;
    
      -no-recursion | --no-recursion | --no-recursio | --no-recursi \
      | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
        no_recursion=yes ;;
    
      -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
      | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
      | --oldin | --oldi | --old | --ol | --o)
        ac_prev=oldincludedir ;;
      -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
      | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
      | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
    
    teuben's avatar
    teuben committed
    
      -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
        ac_prev=prefix ;;
      -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
    
    teuben's avatar
    teuben committed
    
      -program-prefix | --program-prefix | --program-prefi | --program-pref \
      | --program-pre | --program-pr | --program-p)
        ac_prev=program_prefix ;;
      -program-prefix=* | --program-prefix=* | --program-prefi=* \
      | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
    
    teuben's avatar
    teuben committed
    
      -program-suffix | --program-suffix | --program-suffi | --program-suff \
      | --program-suf | --program-su | --program-s)
        ac_prev=program_suffix ;;
      -program-suffix=* | --program-suffix=* | --program-suffi=* \
      | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
    
    teuben's avatar
    teuben committed
    
      -program-transform-name | --program-transform-name \
      | --program-transform-nam | --program-transform-na \
      | --program-transform-n | --program-transform- \
      | --program-transform | --program-transfor \
      | --program-transfo | --program-transf \
      | --program-trans | --program-tran \
      | --progr-tra | --program-tr | --program-t)
        ac_prev=program_transform_name ;;
      -program-transform-name=* | --program-transform-name=* \
      | --program-transform-nam=* | --program-transform-na=* \
      | --program-transform-n=* | --program-transform-=* \
      | --program-transform=* | --program-transfor=* \
      | --program-transfo=* | --program-transf=* \
      | --program-trans=* | --program-tran=* \
      | --progr-tra=* | --program-tr=* | --program-t=*)
    
        program_transform_name=$ac_optarg ;;
    
    teuben's avatar
    teuben committed
    
      -q | -quiet | --quiet | --quie | --qui | --qu | --q \
      | -silent | --silent | --silen | --sile | --sil)
        silent=yes ;;
    
      -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
        ac_prev=sbindir ;;
      -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
      | --sbi=* | --sb=*)
    
    teuben's avatar
    teuben committed
    
      -sharedstatedir | --sharedstatedir | --sharedstatedi \
      | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
      | --sharedst | --shareds | --shared | --share | --shar \
      | --sha | --sh)
        ac_prev=sharedstatedir ;;
      -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
      | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
      | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
      | --sha=* | --sh=*)
    
    teuben's avatar
    teuben committed
    
      -site | --site | --sit)
        ac_prev=site ;;
      -site=* | --site=* | --sit=*)
    
    teuben's avatar
    teuben committed
    
      -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
        ac_prev=srcdir ;;
      -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
    
    teuben's avatar
    teuben committed
    
      -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
      | --syscon | --sysco | --sysc | --sys | --sy)
        ac_prev=sysconfdir ;;
      -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
      | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
    
    teuben's avatar
    teuben committed
    
      -target | --target | --targe | --targ | --tar | --ta | --t)
    
    teuben's avatar
    teuben committed
      -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
    
    teuben's avatar
    teuben committed
    
      -v | -verbose | --verbose | --verbos | --verbo | --verb)
        verbose=yes ;;
    
    
      -version | --version | --versio | --versi | --vers | -V)
        ac_init_version=: ;;
    
    teuben's avatar
    teuben committed
    
      -with-* | --with-*)
    
        ac_package=`expr "x$ac_option" : 'x-*with-\([^=]*\)'`
    
    teuben's avatar
    teuben committed
        # Reject names that are not valid shell variable names.
    
        expr "x$ac_package" : ".*[^-_$as_cr_alnum]" >/dev/null &&
          { echo "$as_me: error: invalid package name: $ac_package" >&2
       { (exit 1); exit 1; }; }
    
    teuben's avatar
    teuben committed
        ac_package=`echo $ac_package| sed 's/-/_/g'`
    
        case $ac_option in
          *=*) ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`;;
    
    teuben's avatar
    teuben committed
          *) ac_optarg=yes ;;
        esac
    
        eval "with_$ac_package='$ac_optarg'" ;;
    
    teuben's avatar
    teuben committed
    
      -without-* | --without-*)
    
        ac_package=`expr "x$ac_option" : 'x-*without-\(.*\)'`
    
    teuben's avatar
    teuben committed
        # Reject names that are not valid shell variable names.
    
        expr "x$ac_package" : ".*[^-_$as_cr_alnum]" >/dev/null &&
          { echo "$as_me: error: invalid package name: $ac_package" >&2
       { (exit 1); exit 1; }; }
        ac_package=`echo $ac_package | sed 's/-/_/g'`
        eval "with_$ac_package=no" ;;
    
    teuben's avatar
    teuben committed
    
      --x)
        # Obsolete; use --with-x.
        with_x=yes ;;
    
      -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
      | --x-incl | --x-inc | --x-in | --x-i)
        ac_prev=x_includes ;;
      -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
      | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
    
    teuben's avatar
    teuben committed
    
      -x-libraries | --x-libraries | --x-librarie | --x-librari \
      | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
        ac_prev=x_libraries ;;
      -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
      | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
    
    teuben's avatar
    teuben committed
    
    
      -*) { echo "$as_me: error: unrecognized option: $ac_option
    Try \`$0 --help' for more information." >&2
       { (exit 1); exit 1; }; }
    
    teuben's avatar
    teuben committed
        ;;
    
    
      *=*)
        ac_envvar=`expr "x$ac_option" : 'x\([^=]*\)='`
        # Reject names that are not valid shell variable names.
        expr "x$ac_envvar" : ".*[^_$as_cr_alnum]" >/dev/null &&
          { echo "$as_me: error: invalid variable name: $ac_envvar" >&2
       { (exit 1); exit 1; }; }
        ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`
        eval "$ac_envvar='$ac_optarg'"
        export $ac_envvar ;;
    
    
    teuben's avatar
    teuben committed
      *)
    
        # FIXME: should be removed in autoconf 3.0.
        echo "$as_me: WARNING: you should use --build, --host, --target" >&2
        expr "x$ac_option" : ".*[^-._$as_cr_alnum]" >/dev/null &&
          echo "$as_me: WARNING: invalid host type: $ac_option" >&2
        : ${build_alias=$ac_option} ${host_alias=$ac_option} ${target_alias=$ac_option}
    
    teuben's avatar
    teuben committed
        ;;
    
      esac
    done
    
    if test -n "$ac_prev"; then
    
      ac_option=--`echo $ac_prev | sed 's/_/-/g'`
      { echo "$as_me: error: missing argument to $ac_option" >&2
       { (exit 1); exit 1; }; }
    
    # Be sure to have absolute paths.
    for ac_var in exec_prefix prefix
    do
      eval ac_val=$`echo $ac_var`
      case $ac_val in
        [\\/$]* | ?:[\\/]* | NONE | '' ) ;;
        *)  { echo "$as_me: error: expected an absolute path for --$ac_var: $ac_val" >&2
       { (exit 1); exit 1; }; };;
      esac
    done
    
    # Be sure to have absolute paths.
    for ac_var in bindir sbindir libexecdir datadir sysconfdir sharedstatedir \
                  localstatedir libdir includedir oldincludedir infodir mandir
    
    teuben's avatar
    teuben committed
    do
    
      eval ac_val=$`echo $ac_var`
      case $ac_val in
        [\\/$]* | ?:[\\/]* ) ;;
        *)  { echo "$as_me: error: expected an absolute path for --$ac_var: $ac_val" >&2
       { (exit 1); exit 1; }; };;
    
    teuben's avatar
    teuben committed
      esac
    done
    
    
    # There might be people who depend on the old broken behavior: `$host'
    # used to hold the argument of --host etc.
    build=$build_alias
    host=$host_alias
    target=$target_alias
    
    # FIXME: should be removed in autoconf 3.0.
    if test "x$host_alias" != x; then
      if test "x$build_alias" = x; then
        cross_compiling=maybe
        echo "$as_me: WARNING: If you wanted to set the --build type, don't use --host.
        If a cross compiler is detected then cross compile mode will be used." >&2
      elif test "x$build_alias" != "x$host_alias"; then
        cross_compiling=yes
      fi
    fi
    
    teuben's avatar
    teuben committed
    
    
    ac_tool_prefix=
    test -n "$host_alias" && ac_tool_prefix=$host_alias-
    
    teuben's avatar
    teuben committed
    
    
    test "$silent" = yes && exec 6>/dev/null
    
    teuben's avatar
    teuben committed
    # Find the source files, if location was not specified.
    if test -z "$srcdir"; then
      ac_srcdir_defaulted=yes
      # Try the directory containing this script, then its parent.
    
      ac_confdir=`echo "$ac_prog" | sed 's%[\\/][^\\/][^\\/]*$%%'`
    
      test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
    
    teuben's avatar
    teuben committed
      srcdir=$ac_confdir
      if test ! -r $srcdir/$ac_unique_file; then
        srcdir=..
      fi
    else
      ac_srcdir_defaulted=no
    fi
    if test ! -r $srcdir/$ac_unique_file; then
      if test "$ac_srcdir_defaulted" = yes; then
    
        { echo "$as_me: error: cannot find sources in $ac_confdir or .." >&2
       { (exit 1); exit 1; }; }
    
    teuben's avatar
    teuben committed
      else
    
        { echo "$as_me: error: cannot find sources in $srcdir" >&2
       { (exit 1); exit 1; }; }
    
    teuben's avatar
    teuben committed
      fi
    fi
    
    srcdir=`echo "$srcdir" | sed 's%\([^\\/]\)[\\/]*$%\1%'`
    ac_env_build_alias_set=${build_alias+set}
    ac_env_build_alias_value=$build_alias
    ac_cv_env_build_alias_set=${build_alias+set}
    ac_cv_env_build_alias_value=$build_alias
    ac_env_host_alias_set=${host_alias+set}
    ac_env_host_alias_value=$host_alias
    ac_cv_env_host_alias_set=${host_alias+set}
    ac_cv_env_host_alias_value=$host_alias
    ac_env_target_alias_set=${target_alias+set}
    ac_env_target_alias_value=$target_alias
    ac_cv_env_target_alias_set=${target_alias+set}
    ac_cv_env_target_alias_value=$target_alias
    ac_env_CC_set=${CC+set}
    ac_env_CC_value=$CC
    ac_cv_env_CC_set=${CC+set}
    ac_cv_env_CC_value=$CC
    ac_env_CFLAGS_set=${CFLAGS+set}
    ac_env_CFLAGS_value=$CFLAGS
    ac_cv_env_CFLAGS_set=${CFLAGS+set}
    ac_cv_env_CFLAGS_value=$CFLAGS
    ac_env_LDFLAGS_set=${LDFLAGS+set}
    ac_env_LDFLAGS_value=$LDFLAGS
    ac_cv_env_LDFLAGS_set=${LDFLAGS+set}
    ac_cv_env_LDFLAGS_value=$LDFLAGS
    ac_env_CPPFLAGS_set=${CPPFLAGS+set}
    ac_env_CPPFLAGS_value=$CPPFLAGS
    ac_cv_env_CPPFLAGS_set=${CPPFLAGS+set}
    ac_cv_env_CPPFLAGS_value=$CPPFLAGS
    ac_env_CPP_set=${CPP+set}
    ac_env_CPP_value=$CPP
    ac_cv_env_CPP_set=${CPP+set}
    ac_cv_env_CPP_value=$CPP
    ac_env_CXX_set=${CXX+set}
    ac_env_CXX_value=$CXX
    ac_cv_env_CXX_set=${CXX+set}
    ac_cv_env_CXX_value=$CXX
    ac_env_CXXFLAGS_set=${CXXFLAGS+set}
    ac_env_CXXFLAGS_value=$CXXFLAGS
    ac_cv_env_CXXFLAGS_set=${CXXFLAGS+set}
    ac_cv_env_CXXFLAGS_value=$CXXFLAGS
    
    #
    # Report the --help message.
    #
    if test "$ac_init_help" = "long"; then
      # Omit some internal or obsolete options to make the list less imposing.
      # This message is too long to be a string in the A/UX 3.1 sh.
      cat <<EOF
    \`configure' configures this package to adapt to many kinds of systems.
    
    Usage: $0 [OPTION]... [VAR=VALUE]...
    
    To assign environment variables (e.g., CC, CFLAGS...), specify them as
    VAR=VALUE.  See below for descriptions of some of the useful variables.
    
    Defaults for the options are specified in brackets.
    
    Configuration:
      -h, --help              display this help and exit
          --help=short        display options specific to this package
          --help=recursive    display the short help of all the included packages
      -V, --version           display version information and exit
      -q, --quiet, --silent   do not print \`checking...' messages
          --cache-file=FILE   cache test results in FILE [disabled]
      -C, --config-cache      alias for \`--cache-file=config.cache'
      -n, --no-create         do not create output files
          --srcdir=DIR        find the sources in DIR [configure dir or \`..']
    
    EOF
    
      cat <<EOF
    Installation directories:
      --prefix=PREFIX         install architecture-independent files in PREFIX
                              [$ac_default_prefix]
      --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
                              [PREFIX]
    
    By default, \`make install' will install all the files in
    \`$ac_default_prefix/bin', \`$ac_default_prefix/lib' etc.  You can specify
    an installation prefix other than \`$ac_default_prefix' using \`--prefix',
    for instance \`--prefix=\$HOME'.
    
    For better control, use the options below.
    
    Fine tuning of the installation directories:
      --bindir=DIR           user executables [EPREFIX/bin]
      --sbindir=DIR          system admin executables [EPREFIX/sbin]
      --libexecdir=DIR       program executables [EPREFIX/libexec]
      --datadir=DIR          read-only architecture-independent data [PREFIX/share]
      --sysconfdir=DIR       read-only single-machine data [PREFIX/etc]
      --sharedstatedir=DIR   modifiable architecture-independent data [PREFIX/com]
      --localstatedir=DIR    modifiable single-machine data [PREFIX/var]
      --libdir=DIR           object code libraries [EPREFIX/lib]
      --includedir=DIR       C header files [PREFIX/include]
      --oldincludedir=DIR    C header files for non-gcc [/usr/include]
      --infodir=DIR          info documentation [PREFIX/info]
      --mandir=DIR           man documentation [PREFIX/man]
    EOF
    
      cat <<\EOF
    
    Program names:
      --program-prefix=PREFIX            prepend PREFIX to installed program names
      --program-suffix=SUFFIX            append SUFFIX to installed program names
      --program-transform-name=PROGRAM   run sed PROGRAM on installed program names
    
    X features:
      --x-includes=DIR    X include files are in DIR
      --x-libraries=DIR   X library files are in DIR
    
    System types:
      --build=BUILD     configure for building on BUILD [guessed]
      --host=HOST       build programs to run on HOST [BUILD]
    EOF
    fi
    
    if test -n "$ac_init_help"; then
    
      cat <<\EOF
    
    Optional Features:
      --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
      --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
      --enable-debug          compile for debugging
    
    Optional Packages:
      --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
      --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
      --with-mesa        force the use of Mesa instead of other graphics libs
      --with-x                use the X Window System
     --with-fltk=<d>    find FLTK in -I<d>/include/FL -L<d>/lib
      --with-kira   force the use of KIRA
      --with-ieeeio=DIR  Use IEEEIO
        --with-ieeeio-lib=LDOPTS  (-LDIR/lib -lieeeio)
        --with-ieeeio-inc=INCOPTS (-IDIR/include)
      --with-elumens=DIR  Use Elumens spiclops library
        --with-elumens-lib=LDOPTS (-LDIR/lib -lspiclops)
        --with-elumens-inc=INCOPTS (-IDIR/include)
     --with-cave=<d>    find CAVE in -I<d>/include -L<d>/lib
      --with-nethack  Accept toy network control packets
      --with-model  Accept Maya obj models
    
    Some influential environment variables:
      CC          C compiler command
      CFLAGS      C compiler flags
      LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
                  nonstandard directory <lib dir>
      CPPFLAGS    C/C++ preprocessor flags, e.g. -I<include dir> if you have
                  headers in a nonstandard directory <include dir>
      CPP         C preprocessor
      CXX         C++ compiler command
      CXXFLAGS    C++ compiler flags
    
    Use these variables to override the choices made by `configure' or to help
    it to find libraries and programs with nonstandard names/locations.
    
    EOF
    fi
    
    if test "$ac_init_help" = "recursive"; then
      # If there are subdirs, report their specific --help.
      ac_popdir=`pwd`
      for ac_subdir in : $ac_subdirs_all; do test "x$ac_subdir" = x: && continue
        cd $ac_subdir
        # A "../" for each directory in /$ac_subdir.
        ac_dots=`echo $ac_subdir |
                 sed 's,^\./,,;s,[^/]$,&/,;s,[^/]*/,../,g'`
    
        case $srcdir in
        .) # No --srcdir option.  We are building in place.
          ac_sub_srcdir=$srcdir ;;
        [\\/]* | ?:[\\/]* ) # Absolute path.
          ac_sub_srcdir=$srcdir/$ac_subdir ;;
        *) # Relative path.
          ac_sub_srcdir=$ac_dots$srcdir/$ac_subdir ;;
        esac
    
        # Check for guested configure; otherwise get Cygnus style configure.
        if test -f $ac_sub_srcdir/configure.gnu; then
          echo
          $SHELL $ac_sub_srcdir/configure.gnu  --help=recursive
        elif test -f $ac_sub_srcdir/configure; then
          echo
          $SHELL $ac_sub_srcdir/configure  --help=recursive
        elif test -f $ac_sub_srcdir/configure.ac ||
               test -f $ac_sub_srcdir/configure.in; then
          echo
          $ac_configure --help
        else
          echo "$as_me: WARNING: no configuration information is in $ac_subdir" >&2
        fi
        cd $ac_popdir
      done
    fi
    
    test -n "$ac_init_help" && exit 0
    if $ac_init_version; then
      cat <<\EOF
    
    Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
    Free Software Foundation, Inc.
    This configure script is free software; the Free Software Foundation
    gives unlimited permission to copy, distribute and modify it.
    EOF
      exit 0
    fi
    exec 5>config.log
    cat >&5 <<EOF
    This file contains any messages produced by compilers while
    running configure, to aid debugging if configure makes a mistake.
    
    It was created by $as_me, which was
    generated by GNU Autoconf 2.52.  Invocation command line was
    
      $ $0 $@
    
    EOF
    {
    cat <<_ASUNAME
    ## ---------- ##
    ## Platform.  ##
    ## ---------- ##
    
    hostname = `(hostname || uname -n) 2>/dev/null | sed 1q`
    uname -m = `(uname -m) 2>/dev/null || echo unknown`
    uname -r = `(uname -r) 2>/dev/null || echo unknown`
    uname -s = `(uname -s) 2>/dev/null || echo unknown`
    uname -v = `(uname -v) 2>/dev/null || echo unknown`
    
    /usr/bin/uname -p = `(/usr/bin/uname -p) 2>/dev/null || echo unknown`
    /bin/uname -X     = `(/bin/uname -X) 2>/dev/null     || echo unknown`
    
    /bin/arch              = `(/bin/arch) 2>/dev/null              || echo unknown`
    /usr/bin/arch -k       = `(/usr/bin/arch -k) 2>/dev/null       || echo unknown`
    /usr/convex/getsysinfo = `(/usr/convex/getsysinfo) 2>/dev/null || echo unknown`
    hostinfo               = `(hostinfo) 2>/dev/null               || echo unknown`
    /bin/machine           = `(/bin/machine) 2>/dev/null           || echo unknown`
    /usr/bin/oslevel       = `(/usr/bin/oslevel) 2>/dev/null       || echo unknown`
    /bin/universe          = `(/bin/universe) 2>/dev/null          || echo unknown`
    
    PATH = $PATH
    
    _ASUNAME
    } >&5
    
    cat >&5 <<EOF
    ## ------------ ##
    ## Core tests.  ##
    ## ------------ ##
    
    EOF
    
    # Keep a trace of the command line.
    # Strip out --no-create and --no-recursion so they do not pile up.
    # Also quote any args containing shell meta-characters.
    ac_configure_args=
    ac_sep=
    for ac_arg
    do
      case $ac_arg in
      -no-create | --no-create | --no-creat | --no-crea | --no-cre \
      | --no-cr | --no-c) ;;
      -no-recursion | --no-recursion | --no-recursio | --no-recursi \
      | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
      *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?\"\']*)
        ac_arg=`echo "$ac_arg" | sed "s/'/'\\\\\\\\''/g"`
        ac_configure_args="$ac_configure_args$ac_sep'$ac_arg'"
        ac_sep=" " ;;
      *) ac_configure_args="$ac_configure_args$ac_sep$ac_arg"
         ac_sep=" " ;;
      esac
      # Get rid of the leading space.
    done
    
    # When interrupted or exit'd, cleanup temporary files, and complete
    # config.log.  We remove comments because anyway the quotes in there
    # would cause problems or look ugly.
    trap 'exit_status=$?
      # Save into config.log some information that might help in debugging.
      echo >&5
      echo "## ----------------- ##" >&5
      echo "## Cache variables.  ##" >&5
      echo "## ----------------- ##" >&5
      echo >&5
      # The following way of writing the cache mishandles newlines in values,
    {
      (set) 2>&1 |
        case `(ac_space='"'"' '"'"'; set | grep ac_space) 2>&1` in
        *ac_space=\ *)
          sed -n \
            "s/'"'"'/'"'"'\\\\'"'"''"'"'/g;
        	  s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='"'"'\\2'"'"'/p"
          ;;
        *)
          sed -n \
            "s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1=\\2/p"
          ;;
        esac;
    } >&5
      sed "/^$/d" confdefs.h >conftest.log
      if test -s conftest.log; then
        echo >&5
        echo "## ------------ ##" >&5
        echo "## confdefs.h.  ##" >&5
        echo "## ------------ ##" >&5
        echo >&5
        cat conftest.log >&5
      fi
      (echo; echo) >&5
      test "$ac_signal" != 0 &&
        echo "$as_me: caught signal $ac_signal" >&5
      echo "$as_me: exit $exit_status" >&5
      rm -rf conftest* confdefs* core core.* *.core conf$$* $ac_clean_files &&
        exit $exit_status
         ' 0
    for ac_signal in 1 2 13 15; do
      trap 'ac_signal='$ac_signal'; { (exit 1); exit 1; }' $ac_signal
    done
    ac_signal=0
    
    # confdefs.h avoids OS command line length limits that DEFS can exceed.
    rm -rf conftest* confdefs.h
    # AIX cpp loses on an empty file, so make sure it contains at least a newline.
    echo >confdefs.h
    
    # Let the site file select an alternate cache file if it wants to.
    
    teuben's avatar
    teuben committed
    # Prefer explicitly selected file to automatically selected ones.
    if test -z "$CONFIG_SITE"; then
      if test "x$prefix" != xNONE; then
        CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
      else
        CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
      fi
    fi
    for ac_site_file in $CONFIG_SITE; do
      if test -r "$ac_site_file"; then
    
        { echo "$as_me:900: loading site script $ac_site_file" >&5
    echo "$as_me: loading site script $ac_site_file" >&6;}
        cat "$ac_site_file" >&5
    
    teuben's avatar
    teuben committed
        . "$ac_site_file"
      fi
    done
    
    if test -r "$cache_file"; then
    
      # Some versions of bash will fail to source /dev/null (special
      # files actually), so we avoid doing that.
      if test -f "$cache_file"; then
        { echo "$as_me:911: loading cache $cache_file" >&5
    echo "$as_me: loading cache $cache_file" >&6;}
        case $cache_file in
          [\\/]* | ?:[\\/]* ) . $cache_file;;
          *)                      . ./$cache_file;;
        esac
      fi
    
    teuben's avatar
    teuben committed
    else
    
      { echo "$as_me:919: creating cache $cache_file" >&5
    echo "$as_me: creating cache $cache_file" >&6;}
      >$cache_file
    fi
    
    # Check that the precious variables saved in the cache have kept the same
    # value.
    ac_cache_corrupted=false
    for ac_var in `(set) 2>&1 |
                   sed -n 's/^ac_env_\([a-zA-Z_0-9]*\)_set=.*/\1/p'`; do
      eval ac_old_set=\$ac_cv_env_${ac_var}_set
      eval ac_new_set=\$ac_env_${ac_var}_set
      eval ac_old_val="\$ac_cv_env_${ac_var}_value"
      eval ac_new_val="\$ac_env_${ac_var}_value"
      case $ac_old_set,$ac_new_set in
        set,)
          { echo "$as_me:935: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&5
    echo "$as_me: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&2;}
          ac_cache_corrupted=: ;;
        ,set)
          { echo "$as_me:939: error: \`$ac_var' was not set in the previous run" >&5
    echo "$as_me: error: \`$ac_var' was not set in the previous run" >&2;}
          ac_cache_corrupted=: ;;
        ,);;
        *)
          if test "x$ac_old_val" != "x$ac_new_val"; then
            { echo "$as_me:945: error: \`$ac_var' has changed since the previous run:" >&5
    echo "$as_me: error: \`$ac_var' has changed since the previous run:" >&2;}
            { echo "$as_me:947:   former value:  $ac_old_val" >&5
    echo "$as_me:   former value:  $ac_old_val" >&2;}
            { echo "$as_me:949:   current value: $ac_new_val" >&5
    echo "$as_me:   current value: $ac_new_val" >&2;}
            ac_cache_corrupted=:
          fi;;
      esac
      # Pass precious variables to config.status.  It doesn't matter if
      # we pass some twice (in addition to the command line arguments).
      if test "$ac_new_set" = set; then
        case $ac_new_val in
        *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?\"\']*)
          ac_arg=$ac_var=`echo "$ac_new_val" | sed "s/'/'\\\\\\\\''/g"`
          ac_configure_args="$ac_configure_args '$ac_arg'"
          ;;
        *) ac_configure_args="$ac_configure_args $ac_var=$ac_new_val"
           ;;
        esac
      fi
    done
    if $ac_cache_corrupted; then
      { echo "$as_me:968: error: changes in the environment can compromise the build" >&5
    echo "$as_me: error: changes in the environment can compromise the build" >&2;}
      { { echo "$as_me:970: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&5
    echo "$as_me: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&2;}
       { (exit 1); exit 1; }; }
    
    teuben's avatar
    teuben committed
    fi
    
    ac_ext=c
    ac_cpp='$CPP $CPPFLAGS'
    
    ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    ac_compiler_gnu=$ac_cv_c_compiler_gnu
    
    case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
      *c*,-n*) ECHO_N= ECHO_C='
    ' ECHO_T='	' ;;
      *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
      *)      ECHO_N= ECHO_C='\c' ECHO_T= ;;
    esac
    echo "#! $SHELL" >conftest.sh
    echo  "exit 0"   >>conftest.sh
    chmod +x conftest.sh
    if { (echo "$as_me:990: PATH=\".;.\"; conftest.sh") >&5
      (PATH=".;."; conftest.sh) 2>&5
      ac_status=$?
      echo "$as_me:993: \$? = $ac_status" >&5
      (exit $ac_status); }; then
      ac_path_separator=';'
    
    PATH_SEPARATOR="$ac_path_separator"
    rm -f conftest.sh